nvme_mi_ctrl_id(2)

NAME
nvme_mi_ctrl_id - get the ID of a controller

SYNOPSIS
__u16 nvme_mi_ctrl_id (nvme_mi_ctrl_t ctrl );

ARGUMENTS

ctrl
    controller to query

DESCRIPTION
Retrieve the ID of the controller, as defined by hardware, and available in the Identify (Controller List) data. This is the value passed to nvme_mi_init_ctrl, but may have been created internally via nvme_mi_scan_ep.

RETURN
the (locally-stored) ID of this controller.